{% extends 'en/base.html' %}
{% block content %}
{% include 'en/navbar.html' %}
<div class="container">
	<div class="row">
		<div class="col">
			<form name="features" action="{{url_for('prepare_classification')}}" method='POST'>
				<input type="hidden" name="type" value="{{type}}"> 
				<div class="form-group">
					{% if type=='evaluate' %}
					<p>Select the features that will be used as predictors for the classifier with  CTRL+click. Multiple features can be selected..</p> 
					{%else %}
					<p>Select the set of features that will be used to search the best as predictors for the classifier with  CTRL+click. Multiple features can be selected..</p> 

					{%endif%} 
					<label for="classification" class="form-label">Features:</label>
					<select name="classification" id="fl" class="form-select" multiple  size="8">
						{% for feature in features %}
						<option value="{{ feature }}" id="{{feature}}">{{feature}}</option>
						{% endfor %}
					</select>
				</div>
				<br>
				<p> Selected features:</p>
				<p id="selectionList">
				</p>

				<br>
				<div class="form-group">
					<P> Select the target feature (to be predicted). Only one can be selected.</P>
					<label for="feature_predicted_form" class="form-label">Predict: </label>
					<select class="form-select" id="feature_predicted_form" name="feature_predicted_form">
						{% for feature_pred in features_pred %}
						<option value="{{ feature_pred }}" id="{{feature_pred}}">{{feature_pred}}</option>
						{% endfor %}
					</select>
				</div>
				<br>
				<div class="select-custom-content">
					{% if type=='evaluate' %}
					<button class="btn-save btn btn-primary btn-sm">Evaluate classifiers</button>
					{%else %}
					<button class="btn-save btn btn-primary btn-sm">Continue with feature selection</button>
					{%endif%} 

				</div>
			</form>
		</div>
	</div>
	<script>
		function getSelectValues(select) {
			var result = [];
			var options = select && select.options;
			var opt;

			for (var i=0, iLen=options.length; i<iLen; i++) {
				opt = options[i];

				if (opt.selected) {
					result.push(opt.value || opt.text);
				}
			}
			return result;
		}
function setsel(e) {
	if (e.ctrlKey) {
		var p=document.getElementById("selectionList");
		ops=getSelectValues(document.getElementById("fl"));
		var m='';
		for (var i=0; i<ops.length; i++) {
			m+='<span class="badge bg-primary">  '+ops[i]+'</span>   ';
		}
		p.innerHTML=m;
	}

}
var op=document.getElementsByTagName("option");
for (var i=0; i<op.length; i++) {
	op[i].onclick=setsel;
}
	</script>
{% endblock %}
